Bug 26519 - Clean up OPAC buttons with incorrect classes
Summary: Clean up OPAC buttons with incorrect classes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-23 16:10 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26519: Clean up OPAC buttons with incorrect classes (7.20 KB, patch)
2020-09-24 13:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26519: Clean up OPAC buttons with incorrect classes (7.25 KB, patch)
2020-09-29 10:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 26519: Clean up OPAC buttons with incorrect classes (7.30 KB, patch)
2020-10-11 13:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-23 16:10:45 UTC
Like Bug 26512 and Bug 26478, there are some places in the OPAC where buttons were missed in the upgrade to Bootstrap 4. The following patch will clean up several instances.
Comment 1 Owen Leonard 2020-09-24 13:57:43 UTC
Created attachment 110658 [details] [review]
Bug 26519: Clean up OPAC buttons with incorrect classes

This patch makes some corrections to the OPAC templates to add the
correct classes to a few buttons which were missed during the
Bootstrap 4 upgrade, especially in cases where the buttons only appear
when JavaScript is disabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Locate the bibliographic record for a serial record and view the
  details. The subscription should have patron notification set.
- Under the Subscriptions tab, the "Subscribe to email notifications"
  button should look correct.
- Click to subscribe and confirm that the buttons during and after the
  process look correct.

- Perform a catalog search in the OPAC. On the search results page,
  disable JavaScript. This can be done in the browser's developer tools
  under "Settings."
- At the top of the table of search results there should be a
  correctly-styled "Go" button next to the sorting dropdown menu. It
  should work correctly.

- View the contents of a list with JavaScript disabled.
- The "Resort list" button should be correctly-styled and should work to
  submit the form.
Comment 2 David Nind 2020-09-29 10:24:46 UTC
Created attachment 110900 [details] [review]
Bug 26519: Clean up OPAC buttons with incorrect classes

This patch makes some corrections to the OPAC templates to add the
correct classes to a few buttons which were missed during the
Bootstrap 4 upgrade, especially in cases where the buttons only appear
when JavaScript is disabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Locate the bibliographic record for a serial record and view the
  details. The subscription should have patron notification set.
- Under the Subscriptions tab, the "Subscribe to email notifications"
  button should look correct.
- Click to subscribe and confirm that the buttons during and after the
  process look correct.

- Perform a catalog search in the OPAC. On the search results page,
  disable JavaScript. This can be done in the browser's developer tools
  under "Settings."
- At the top of the table of search results there should be a
  correctly-styled "Go" button next to the sorting dropdown menu. It
  should work correctly.

- View the contents of a list with JavaScript disabled.
- The "Resort list" button should be correctly-styled and should work to
  submit the form.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-10-11 13:07:12 UTC
Created attachment 111460 [details] [review]
Bug 26519: Clean up OPAC buttons with incorrect classes

This patch makes some corrections to the OPAC templates to add the
correct classes to a few buttons which were missed during the
Bootstrap 4 upgrade, especially in cases where the buttons only appear
when JavaScript is disabled.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Locate the bibliographic record for a serial record and view the
  details. The subscription should have patron notification set.
- Under the Subscriptions tab, the "Subscribe to email notifications"
  button should look correct.
- Click to subscribe and confirm that the buttons during and after the
  process look correct.

- Perform a catalog search in the OPAC. On the search results page,
  disable JavaScript. This can be done in the browser's developer tools
  under "Settings."
- At the top of the table of search results there should be a
  correctly-styled "Go" button next to the sorting dropdown menu. It
  should work correctly.

- View the contents of a list with JavaScript disabled.
- The "Resort list" button should be correctly-styled and should work to
  submit the form.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-12 09:31:12 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-10 22:39:09 UTC
missing dependencies for 20.05.x, no backport